aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Titus <[email protected]>2021-10-22 19:09:56 -0500
committerChris Titus <[email protected]>2021-10-22 19:09:56 -0500
commite188716eaf5da5594d60d55cf0c738ac92a4f6e0 (patch)
tree97e0c7c76a8fd10fee0a77cbbafceeafd87a38db
parente4ef3145701b7fa726d43234fa8855f663c4ffb2 (diff)
downloadArchTitus-e188716eaf5da5594d60d55cf0c738ac92a4f6e0.tar.xz
ArchTitus-e188716eaf5da5594d60d55cf0c738ac92a4f6e0.zip
Update 1-setup.sh
-rwxr-xr-x1-setup.sh16
1 files changed, 6 insertions, 10 deletions
diff --git a/1-setup.sh b/1-setup.sh
index 16a9949..4bf07e0 100755
--- a/1-setup.sh
+++ b/1-setup.sh
@@ -12,13 +12,6 @@ echo "-- Network Setup --"
echo "--------------------------------------"
pacman -S networkmanager dhclient --noconfirm --needed
systemctl enable --now NetworkManager
-if ! source install.conf; then
- read -p "Please enter username:" username
- read -p "Please enter password:" password
-echo "username=$username" >> ${HOME}/ArchTitus/install.conf
-echo "password=$password" >> ${HOME}/ArchTitus/install.conf
-fi
-passwd --password $password root
echo "-------------------------------------------------"
echo "Setting up mirrors for optimal download "
echo "-------------------------------------------------"
@@ -190,7 +183,6 @@ PKGS=(
'plasma-systemmonitor'
'plasma-thunderbolt'
'plasma-vault'
-'plasma-wayland-session'
'plasma-workspace'
'plasma-workspace-wallpapers'
'polkit-kde-agent'
@@ -273,11 +265,15 @@ elif lspci | grep -E "Integrated Graphics Controller"; then
fi
echo -e "\nDone!\n"
-
+if ! source install.conf; then
+ read -p "Please enter username:" username
+echo "username=$username" >> ${HOME}/ArchTitus/install.conf
+fi
if [ $(whoami) = "root" ];
then
[ ! -d "/home/$username" ] && useradd -m -p $password -G wheel,libvirt -s /bin/bash $username
- cp -R /root/ArchTitus /home/$username/
+ passwd $username
+ cp -R /root/ArchTitus /home/$username/
chown -R $username: /home/$username/ArchTitus
else
echo "You are already a user proceed with aur installs"